import type { IEventBus } from "../../../utils/EventBus";
import type { CustomToastType, ITransactionToast } from './components/transaction-toast/transaction-toast.type';
export declare class ToastList {
    private eventBus;
    transactionToasts: ITransactionToast[];
    customToasts: CustomToastType[];
    getEventBus(): Promise<IEventBus>;
    disconnectedCallback(): void;
    private handleCustomToastDelete;
    private handleTransactionToastDelete;
    private handleViewAllClick;
    render(): any;
    private transactionToastUpdate;
    private customToastsUpdate;
    componentDidLoad(): void;
}
